type t
type window_style = [ `close | `fullscreen | `resize | `titlebar ]
type video_mode = { width : int; height : int; bitsPerPixel : int; }
type window_settings = {
  depthBits : int;
  stencilBits : int;
  antialiasingLevel : int;
}
val mode : width:int -> height:int -> bitsPerPixel:int -> video_mode
val settings :
  depthBits:int ->
  stencilBits:int -> antialiasingLevel:int -> window_settings
external create :
  mode:video_mode ->
  title:string -> style:window_style list -> settings:window_settings -> t
  = "caml_sfWindow_Create"
external createFromHandle : handle:nativeint -> settings:window_settings -> t
  = "caml_sfWindow_CreateFromHandle"
val make :
  ?style:window_style list ->
  ?bpp:int ->
  ?depth:int -> ?stencil:int -> ?antialiasing:int -> int * int -> string -> t
external isOpened : t -> bool = "caml_sfWindow_IsOpened"
external close : t -> unit = "caml_sfWindow_Close"
external display : t -> unit = "caml_sfWindow_Display"
external destroy : t -> unit = "caml_sfWindow_Destroy"
external getEvent : t -> SFEvent.t option = "caml_sfWindow_GetEvent"
external getWidth : t -> int = "caml_sfWindow_GetWidth"
external getHeight : t -> int = "caml_sfWindow_GetHeight"
external getSize : t -> int * int = "caml_sfWindow_GetSize"
external setSize : t -> width:int -> height:int -> unit
  = "caml_sfWindow_SetSize"
external showMouseCursor : t -> show:bool -> unit
  = "caml_sfWindow_ShowMouseCursor"
external setCursorPosition : t -> left:int -> top:int -> unit
  = "caml_sfWindow_SetCursorPosition"
external getInput : t -> SFInput.t = "caml_sfWindow_GetInput"
external useVerticalSync : t -> enabled:bool -> unit
  = "caml_sfWindow_UseVerticalSync"
external setPosition : t -> left:int -> top:int -> unit
  = "caml_sfWindow_SetPosition"
external show : t -> state:bool -> unit = "caml_sfWindow_Show"
external enableKeyRepeat : t -> enabled:bool -> unit
  = "caml_sfWindow_EnableKeyRepeat"
external setFramerateLimit : t -> limit:int -> unit
  = "caml_sfWindow_SetFramerateLimit"
external setJoystickThreshold : t -> threshold:float -> unit
  = "caml_sfWindow_SetJoystickThreshold"
external setActive : t -> active:bool -> bool = "caml_sfWindow_SetActive"
external getFrameTime : t -> float = "caml_sfWindow_GetFrameTime"
